using System.Threading.Tasks;

namespace GxPress.Service.Implement
{
    public partial class FlowService
    {
        public async Task DeleteAsync(int flowId)
        {
            //删除原始工作流ID
            await _flowRepository.DeleteAsync(flowId);
            //删除原始审批数据
            await _flowTodoRepository.DeleteAllAsync(flowId);
            //删除消息
            await _flowMessageRepository.DeleteAllAsync(flowId);
            //删除
            await _flowFieldValueRepository.DeleteAllAsync(flowId);
            //删除文件
            await flowAttachmentRepository.DeleteAllAsync(flowId);
            
        }
    }
}